Subject: G92. QUE. Batch job termination control.

From: [email-masked] (Aiaz Bakassov, Phys. Chem., ETH Zurich)
Date: Thu, 30 Jun 1994 17:16:37 +0200

Dear netters,

I run G92 in batch mode,
both in VMS and in UNIX.

I wait for G92 normal termination and
then I interface the output of G92
to some "my_code".

Then I routinely change parameters
in the input file for G92 and again submit
it to batch queue, and again wait for
completion and again run "my_code".

It's a loop, isn' it ?

But the problem is how to tell the system
(VMS or/and UNIX)
whether the G92 batch job has already terminated,
so to allow the system (VMS or/and UNIX)
to execute "my_code" which uses G92 output.
It must be some command in a VMS .com file
or in a UNIX shell
which waits for G92 to terminate.
Otherwise, the execution of "my_code"
is meaningless.

I believe it's a standard situation 
to many other standard routines too
(not only G92)
and the best solutions (to VMS and to UNIX
separately) are well known.

Does anybody advise us on this ?
Are there good references (VMS/UNIX books) 
where the solutions are being discussed ?

I would prefer purely OS (operating system)
solution, for I already know that one can write
FORTRAN code in VMS using lib$spawn function.
That seems very awkward to me
(to go from FORTRAN to VMS and back
 several times within one program)
No similar thing is known to me for UNIX.
But that seems awkward I repeat myself.

Sincerely,
----------------------------------------------------------------------
 Aiaz BAKASSOV (English: Ayaz BAKASOV)  | Phone:  +41 1 632 79 18 
 Laboratorium fuer Phys. Chemie         | FAX:    +41 1 632 10 21
 ETH-Zuerich (Zentrum)          | E-mail: [email-masked]
 CH-8092 Zurich, Switzerland    |         [email-masked]
----------------------------------------------------------------------